#!/usr/bin/env python3

import datetime
import json

import searchlib

if __name__ == '__main__':
    today = datetime.datetime.now()
    tendays = datetime.timedelta(days=18)
    startday = today - tendays

    searchlib.prep_nltk()
    res_tbl = searchlib.query_range(startday, 10)

    print(json.dumps(res_tbl, indent='  '))
