import os

import http.cookiejar as cookielib

def load_cookiejar():
    cpath = os.getenv('SB_COOKIES_TXT')
    print('using cookies', cpath)
    cj = cookielib.MozillaCookieJar(cpath)
    cj.load()
    return cj

def get_google_abuse_token():
    return os.getenv('SB_GOOGABUSE').trim()

def get_report_webhook():
    hu = os.getenv('SB_REPORT_WH')
    if hu is not None:
        hu = hu.strip()
    return hu
